# vim: set sw=4 ts=4 et:

Name:           python-pyxdg
Version:        0.19
Release:        0.pm.1.1
Summary:        Python Library to access freedesktop.org Standards
Source:         http://people.freedesktop.org/~lanius/pyxdg-%{version}.tar.gz
URL:            http://freedesktop.org/Software/pyxdg
Group:          Development/Libraries/Python
License:        GNU General Public License (GPL)
BuildRoot:      %{_tmppath}/build-%{name}-%{version}
BuildRequires:  python python-devel
Provides:       pyxdg = %{version}-%{release}
Obsoletes:      pyxdg < %{version}
%if %suse_version >= 1030
BuildRequires:  licenses
Requires:       licenses
%endif
%if %suse_version > 1110
BuildArch:      noarch
%endif
%py_requires

%description
PyXDG is a python library to access freedesktop.org standards

The XDG Package contains:
- Implementation of the XDG-Base-Directory Standard
  http://www.freedesktop.org/standards/basedir-spec

- Implementation of the XDG-Desktop Standard
  http://www.freedesktop.org/standards/desktop-entry-spec

- Implementation of the XDG-Menu Standard
  http://www.freedesktop.org/standards/menu-spec

- Implementation of the XDG-Icon-Theme Standard
  http://www.freedesktop.org/standards/icon-theme-spec

%prep
%setup -q -n "pyxdg-%{version}"

%build
CFLAGS="%{optflags}" %__python ./setup.py build

%install
%__python ./setup.py install --prefix="%{_prefix}" --root="%{buildroot}" \
    --record-rpm=files.lst

h=/usr/share/doc/licenses/md5/$(md5sum COPYING|cut -f1 -d" ")
test -e "$h" && %__ln_s -f "$h" COPYING

%clean
%{?buildroot:%__rm -rf "%{buildroot}"}

%files -f files.lst
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING README TODO

%changelog
* Sat Nov 13 2010 pascal.bleser@opensuse.org
- update to 0.19
* Sun Nov  8 2009 pascal.bleser@opensuse.org
- update to 0.18
- noarch on >= 11.2
- licenses symlink on >= 10.3
* Sun Sep 16 2007 guru@unixtech.be
- fixed Source URL
- moved to Packman
* Wed Nov 29 2006 guru@unixtech.be
- added py_requires
- added .egg-info for SUSE 10.2
- added --root for building on SUSE 10.1
* Wed Dec 28 2005 guru@unixtech.be
- removed noarch
* Sat Sep 24 2005 guru@unixtech.be
- new upstream version: 0.15
* Mon Apr 19 2004 guru@unixtech.be
- new RPM
